### Signal

# Gtk.GesturePan::pan

#### Declaration

    void
    pan (
      GtkGesturePan self,
      GtkPanDirection* direction,
      gdouble offset,
      gpointer user_data
    )

#### Description [src]

Emitted once a panning gesture along the expected axis is detected.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`

#### Parameters

`direction` | `GtkPanDirection`
| current direction of the pan gesture
| Ownership is not transferred to the callee
`offset` | `gdouble`
| Offset along the gesture orientation